package be.iminds.ilabt.jfed.experimenter_gui.dialogs;

import be.iminds.ilabt.jfed.experimenter_gui.ui.AbstractDialogFactory;
import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;

import javax.inject.Inject;
import javax.inject.Named;
import javax.inject.Provider;
import javax.inject.Singleton;

@Singleton
public class GDPRDialogFactory extends AbstractDialogFactory {

    @Inject
    public GDPRDialogFactory(Provider<FXMLLoader> loaderProvider,
                             @Named("parentStage") Provider<Stage> parentStageProvider) {
        super(loaderProvider, parentStageProvider);
    }

    @Override
    protected String getTitle() {
        return "GDPR Terms";
    }
}
